# Biblioteca Mobile Foundation

## Instalação

###### Para efetuar a instalação deste pacote, execute:

```bash
npm install http://tfs2015.totvs.com.br:8080/tfs/CD-JV/HUB-Logistico/_git/mobile-foundation-dist.git --save
```

###### Adicione também estes pacotes no package.json de seu projeto:

```json
"dependencies: {
    "@angular/common": "5.2.11",
    "@angular/compiler": "5.2.11",
    "@angular/compiler-cli": "5.2.11",
    "@angular/core": "5.2.11",
    "@angular/forms": "5.2.11",
    "@angular/http": "5.2.11",
    "@angular/platform-browser": "5.2.11",
    "@angular/platform-browser-dynamic": "5.2.11",
    "@ionic/storage": "2.1.3",
    "@ionic-native/camera": "^4.12.0",
    "@ionic-native/core": "^4.12.0",
    "@ionic-native/file": "^4.12.0",
    "@ionic-native/geolocation": "^4.12.0",
    "@ionic-native/image-picker": "^4.12.0",
    "@ionic-native/qr-scanner": "^4.12.0",
    "@ionic-native/speech-recognition": "^4.12.0",
    "@ionic-native/splash-screen": "^4.12.0",
    "@ionic-native/status-bar": "^4.12.0",
    "base-foundation": "git+http://tfs2015.totvs.com.br:8080/tfs/CD-JV/HUB-Logistico/_git/dist-base-foundation",
    "@ngx-translate/core": "9.1.1",
    "@ngx-translate/http-loader": "^2.0.0",
    "@totvs/mobile-theme": "^1.0.0",
    "ionic-angular": "3.9.2",
    "rxjs": "5.5.11",
    "zone.js": "0.8.26"
}
```

## Utilizando a Biblioteca

###### Após efetuar a instalação e adicionar as dependências necessárias indicadas, altere o `AppModule` de seu projeto para importar o módulo `FndModule`:

```typescript
import { FndModule } from 'mobile-foundation';

@NgModule({
  ...
  imports: [
    ...,
    FndModule
  ]
  ...
})
export class AppModule {}
```

###### Uma vez que a biblioteca esteja importada, você pode utilizar os componentes, diretivas, pipes, serviços na sua aplicação:

```html
<!-- Exemplo da utilização da internacionalização em uma página de login, por exemplo. -->
<ion-header>
  <ion-navbar>
    <ion-title>{{global.i18n.literais?.login}}</ion-title>
  </ion-navbar>
</ion-header>
```

## Importante

###### Caso utilize páginas como módulos, é necessário importar o `FndModule` em cada módulo.

```typescript
@NgModule({
  ...
  imports: [
    IonicPageModule.forChild(LoginPage),
    FndModule
  ]
})
export class LoginPageModule {}
```

## Utilitários (Plugins e Storage)

###### Alguns utilitários para Plugins Nativos Ionic e Storage também são disponibilizados no Foundation.

> [Consulte aqui a lista dos utilitários disponíveis e sua documentação](./additional-documentation/utilitários.html)

## Alterações na biblioteca

Para efetuar a geração dos arquivos `*.js`, `*.d.ts` e `*.metadata.json`:

```bash
npm run build
```

Para rodar o lint nos arquivos `*.ts`:

```bash
npm run lint
```

Para rodar os testes unitários `(*.spec.ts)`:

```bash
npm run test
```

## Licença

MIT © [TOTVS HUB Logístico](mailto:SUPPLY.ML.LOG.HUB@totvs.com.br)
