import { AuthBaseService, IAuthSettings, IAuthHandlerType } from 'base-foundation';
export declare class AuthService extends AuthBaseService {
    /**
     * Propriedade que recebe o tipo de autentição injetado via token
     */
    authType: IAuthHandlerType;
    /**
     * Método construtor da classe
     * @param authSettings Token de injeção com as configurações de autenticação
     * @param authType Token de injeção com o tipo de autenticação
     */
    constructor(authSettings: IAuthSettings, authType: IAuthHandlerType);
    /**
     * Método responsável executar o processo de login/autenticação
     */
    loginFlow(): Promise<void>;
    /**
     * Método responsável executar o processo de logout
     */
    logoutFlow(): Promise<void>;
}
