import { ShowLoadingService } from './../loading/show-loading.service';
import { I18nBaseService } from 'base-foundation';
import { ApiDateTimeService, MessageDisplayerService } from 'base-foundation';
/**
 * Serviço responsável por fornecer atributos e métodos que
 * poderão ser utilizados em toda a aplicação
 */
export declare class GlobalService {
    i18n: I18nBaseService;
    msg: MessageDisplayerService;
    loading: ShowLoadingService;
    date: ApiDateTimeService;
    /**
     * Método construtor que inicializa o serviço
     * @param i18n Serviço de internacionalização
     * @param msg Serviço de mensageria para usuário
     * @param date Serviço de formatação de data
     */
    constructor(i18n: I18nBaseService, msg: MessageDisplayerService, loading: ShowLoadingService, date: ApiDateTimeService);
}
