import { Injector } from '@angular/core';
import { HttpHandler, HttpRequest, HttpResponse, HttpEvent, HttpErrorResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpInterceptorBaseService, IHttpInterceptor, ITotvsMessage } from 'base-foundation';
/**
 * Serviço utilizado para realizar o tratamento das respostas
 */
export declare class DefaultHttpInterceptorService extends HttpInterceptorBaseService implements IHttpInterceptor {
    private inj;
    /**
     * Instancia da MessageDisplayerService para exibir mensagens quando um erro for detectado
     */
    private msg;
    /**
     * Método construtor da classe
     * @param inj
     */
    constructor(inj: Injector);
    /**
     * Método responsável por realizar o tratamento de respostas de sucesso
     * @param response
     */
    interceptResponse(response: HttpResponse<any>): void;
    /**
     * Método responsável por realizar o tratamento de respostas de erro
     * @param response
     * @param request
     */
    interceptError(response: HttpErrorResponse, request: HttpRequest<any>): void;
    /**
     * Método responsável por mostrar a mensagem
     * @param message
     */
    showTotvsMessage(message: ITotvsMessage): void;
    /**
     * Método responsável por realizar o tratamento da requisição/retorno
     * @param req
     * @param next
     */
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
