import { PipeTransform } from '@angular/core';
import { I18nBaseService } from 'base-foundation';
/**
 * Pipe de internacionalização da aplicação
 */
export declare class I18NPipe implements PipeTransform {
    private i18nService;
    /**
     * Método construtor que inicializa a classe
     * @param i18nService Serviço de internacionalização
     */
    constructor(i18nService: I18nBaseService);
    /**
     * Método responsável pela transformação da string
     * @param query
     * @param data
     */
    transform(query: string, data: any[]): string;
    /**
     * Método responsável por retornar o que está em cache
     * @param query
     * @param args
     */
    private cached(query, ...args);
}
