import { ToastController, AlertController } from 'ionic-angular';
import { AbstractShowMessage, ShowMessageOptions } from 'base-foundation';
/**
 * Serviço responsável pela apresentação de mensagens
 */
export declare class ShowMessageService extends AbstractShowMessage {
    private toastCtrl;
    private alertCtrl;
    /**
     * Método construtor que inicializa a classe
     * @param toastCtrl Serviço de TOAST
     * @param alertCtrl Serviço de Alerta
     * @param i18n Serviço de internacionalização
     */
    constructor(toastCtrl: ToastController, alertCtrl: AlertController);
    /**
     * Método responsável por apresentar uma mensagem
     */
    displayMessage(showMessageOptions: ShowMessageOptions): void;
    /**
     * Método responsável por apresentar uma mensagem de notificação
     */
    private showNotification(showMessageOptions);
    /**
     * Método responsável por apresentar uma mensagem de diálogo
     */
    private showDialog(showMessageOptions);
    /**
     * Método responsável pela abertura de um link
     */
    private openLink(link);
}
