import { RemoveResult } from '@ionic-native/file';
/**
 * Interface que define as propriedades e comportamentos do
 * utilitário de manipulação de arquivo
 */
export interface IFileUtil {
    /**
     * Método responsável por remover um arquivo
     * @param uri URI do arquivo que deve ser removido
     * @return Objeto que representa o resultado da remoção do arquivo
     */
    removeFile(uri: string): Promise<RemoveResult>;
    /**
     * Método responsável por transferir os arquivos para o storage do aplicativo
     * @param uris URIs dos arquivos que devem ser copiados
     * @return Lista de URIs dos arquivos copiados para o storage do aplicativo
     */
    fileCacheToAppStorage(...uris: string[]): Promise<string[]>;
}
