import { Platform } from 'ionic-angular';
import { SQLite, SQLiteObject } from '@ionic-native/sqlite';
import { ISqLiteConn } from './sqlite-conn.interface';
/**
 * Gerenciador de conexão de banco de dados sqlite
 */
export declare abstract class SqLiteUtilBaseProvider {
    protected sqlLite: SQLite;
    protected platform: Platform;
    /**
     * @ignore
     * Lista de conexões do banco;
     */
    protected abstract connections: ISqLiteConn[];
    constructor(sqlLite: SQLite, platform: Platform);
    /**
     * Recupera uma conexão de banco de dados
     * @param name o banco de dados desejado
     * @param {string} [location='default'] Configuração adicional de localização no dispositivo
     * @returns Um objeto de conexão com o banco
     */
    abstract getSqLiteConn(name: string, location?: string): Promise<SQLiteObject>;
    /**
     * Método para auxiliar a criar uma conexão com o banco sqlite
     * @param name Nome do banco
     * @param location Localização do banco
     * @memberof DbConnectionBaseProvider
     */
    protected createConn(name: string, location: string): Promise<SQLiteObject>;
}
